<app-menu xmlns="http://www.w3.org/1999/html"></app-menu>
<div class="container-fluid h-50">
    <div class="row justify-content-center h-100">
        <div class="col-md-4 col-xl-3 chat">
            <div class="card mb-sm-3 mb-md-0 contacts_card">
                <div class="card-header">
                    <div class="input-group">
                        <input type="text" [(ngModel)]="search" (change)="searchChat(search)"
                               class="form-control search">
                        <div class="input-group-prepend">
                            <span class="input-group-text search_btn"><i class="fas fa-search"></i></span>
                        </div>
                    </div>
                </div>
                <div class="card-body contacts_body">
                    <ul class="contacts">
                        <li *ngFor="let chat of chats" [class.selected]="chat === selectChat" type="button"
                            (click)="onSelect(chat)">
                            <div class="d-flex bd-highlight">
                                <div class="img_cont">
                                    <img src="https://therichpost.com/wp-content/uploads/2020/06/avatar2.png"
                                         class="rounded-circle user_img">
                                    <!--                                <span class="online_icon"></span>-->
                                </div>
                                <div class="user_info">
                                    <span>{{chatName(chat)}}</span>
                                    <p>{{chat.lastMessage}}</p>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
                <div class="card-footer"></div>
            </div>
        </div>
        <div class="col-md-8 col-xl-6 chat">
            <div class="card">
                <div class="card-header msg_head" *ngIf="selectChat">
                    <div class="d-flex bd-highlight">
                        <div class="img_cont">
                            <img src="https://therichpost.com/wp-content/uploads/2020/06/avatar2.png"
                                 class="rounded-circle user_img">
                            <span class="online_icon"></span>
                        </div>
                        <div class="user_info">
                            <span>{{chatName(selectChat)}}</span>
                            <p>{{selectChat.messages !== undefined ? selectChat.messages.length : 0}} messages</p>
                        </div>
                        <div class="video_cam">
                            <span><i class="fas fa-video"></i></span>
                            <span><i class="fas fa-phone"></i></span>
                        </div>
                    </div>
                    <span id="action_menu_btn"><i class="fas fa-ellipsis-v"></i></span>
                    <div class="action_menu">
                        <ul>
                            <li><i class="fas fa-user-circle"></i> View profile</li>
                            <li><i class="fas fa-users"></i> Add to close friends</li>
                            <li><i class="fas fa-plus"></i> Add to group</li>
                            <li><i class="fas fa-ban"></i> Block</li>
                        </ul>
                    </div>
                </div>

                <div class="card-body msg_card_body" *ngIf="selectChat">
                    <div class="scroll-list" #scrollMe [scrollTop]="scrollMe.scrollHeight">
                        <div *ngFor="let message of selectChat.messages">
                            <div [ngClass]="classOfMessage(message)" >
                                <!--d-flex justify-content-end mb-4-->
                                <div class="img_cont_msg">
                                    <img src="https://therichpost.com/wp-content/uploads/2020/06/avatar2.png"
                                         class="rounded-circle user_img_msg">
                                </div>
                                <div class="msg_cotainer">
                                    {{message.msg}}
                                    <span class="msg_time">{{message.lastUpdate * 1000 | date}}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer" *ngIf="selectChat">
                    <div class="input-group">
                        <div class="input-group-append">
                            <span class="input-group-text attach_btn"><i class="fas fa-paperclip"></i></span>
                        </div>
                        <textarea [(ngModel)]="msg" class="form-control type_msg" placeholder="Type your message..."></textarea>
                        <div class="input-group-append">
                            <span class="input-group-text send_btn" (click)="sendMessage(msg)">Send</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>